Package org.apache.sysds.runtime.compress.colgroup.dictionary

## Enum DictionaryFactory.Type

- java.lang.Object
- - java.lang.Enum<DictionaryFactory.Type>
  - - org.apache.sysds.runtime.compress.colgroup.dictionary.DictionaryFactory.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<DictionaryFactory.Type>`

Enclosing interface:
  DictionaryFactory

    public static enum DictionaryFactory.Type
    extends Enum<DictionaryFactory.Type>

### Enum Constant Summary

Enum Constants
`FP64_DICT`
`IDENTITY`
`IDENTITY_SLICE`
`INT8_DICT`
`MATRIX_BLOCK_DICT`
`PLACE_HOLDER`

### Method Summary

All Methods Static Methods Concrete Methods
`static DictionaryFactory.Type` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DictionaryFactory.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FP64_DICT

    public static final DictionaryFactory.Type FP64_DICT

#### MATRIX_BLOCK_DICT

    public static final DictionaryFactory.Type MATRIX_BLOCK_DICT

#### INT8_DICT

    public static final DictionaryFactory.Type INT8_DICT

#### IDENTITY

    public static final DictionaryFactory.Type IDENTITY

#### IDENTITY_SLICE

    public static final DictionaryFactory.Type IDENTITY_SLICE

#### PLACE_HOLDER

    public static final DictionaryFactory.Type PLACE_HOLDER

### Method Detail

#### values

    public static DictionaryFactory.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DictionaryFactory.Type c : DictionaryFactory.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DictionaryFactory.Type valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null